mirror of
https://github.com/NixOS/nixpkgs.git
synced 2025-04-13 09:27:31 +00:00
flatpak: 0.99.3 -> 1.0.2
This commit is contained in:
parent
2d19ee6247
commit
37a828ec27
@ -1,27 +1,32 @@
|
||||
{ stdenv, fetchurl, autoreconfHook, docbook_xml_dtd_412, docbook_xml_dtd_42, docbook_xml_dtd_43, docbook_xsl, which, libxml2
|
||||
, gobjectIntrospection, gtk-doc, intltool, libxslt, pkgconfig, xmlto, appstream-glib, substituteAll, glibcLocales, yacc
|
||||
, gobjectIntrospection, gtk-doc, intltool, libxslt, pkgconfig, xmlto, appstream-glib, substituteAll, glibcLocales, yacc, xdg-dbus-proxy, p11-kit
|
||||
, bubblewrap, bzip2, dbus, glib, gpgme, json-glib, libarchive, libcap, libseccomp, coreutils, python2, hicolor-icon-theme
|
||||
, libsoup, lzma, ostree, polkit, python3, systemd, xorg, valgrind, glib-networking, makeWrapper, gnome3 }:
|
||||
|
||||
let
|
||||
version = "0.99.3";
|
||||
version = "1.0.2";
|
||||
desktop_schemas = gnome3.gsettings-desktop-schemas;
|
||||
in stdenv.mkDerivation rec {
|
||||
name = "flatpak-${version}";
|
||||
|
||||
# TODO: split out lib once we figure out what to do with triggerdir
|
||||
outputs = [ "out" "man" "doc" "installedTests" ];
|
||||
|
||||
src = fetchurl {
|
||||
url = "https://github.com/flatpak/flatpak/releases/download/${version}/${name}.tar.xz";
|
||||
sha256 = "0wd6ix1qyz8wmjkfrmr6j99gwywqs7ak1ilsn1ljp72g2z449ayk";
|
||||
sha256 = "0d0nnymb4p3njc24j0p6f74x7cdfi7jac714gxzzz5y5lrd651gn";
|
||||
};
|
||||
|
||||
patches = [
|
||||
(substituteAll {
|
||||
src = ./fix-test-paths.patch;
|
||||
inherit coreutils python2 glibcLocales;
|
||||
inherit coreutils glibcLocales;
|
||||
hicolorIconTheme = hicolor-icon-theme;
|
||||
})
|
||||
(substituteAll {
|
||||
src = ./fix-paths.patch;
|
||||
p11 = p11-kit;
|
||||
})
|
||||
# patch taken from gtk_doc
|
||||
./respect-xml-catalog-files-var.patch
|
||||
./use-flatpak-from-path.patch
|
||||
@ -30,7 +35,7 @@ in stdenv.mkDerivation rec {
|
||||
nativeBuildInputs = [
|
||||
autoreconfHook libxml2 docbook_xml_dtd_412 docbook_xml_dtd_42 docbook_xml_dtd_43 docbook_xsl which gobjectIntrospection
|
||||
gtk-doc intltool libxslt pkgconfig xmlto appstream-glib yacc makeWrapper
|
||||
] ++ stdenv.lib.optionals doCheck checkInputs;
|
||||
];
|
||||
|
||||
buildInputs = [
|
||||
bubblewrap bzip2 dbus glib gpgme json-glib libarchive libcap libseccomp
|
||||
@ -45,6 +50,7 @@ in stdenv.mkDerivation rec {
|
||||
|
||||
configureFlags = [
|
||||
"--with-system-bubblewrap=${bubblewrap}/bin/bwrap"
|
||||
"--with-system-dbus-proxy=${xdg-dbus-proxy}/bin/xdg-dbus-proxy"
|
||||
"--localstatedir=/var"
|
||||
"--enable-installed-tests"
|
||||
];
|
||||
|
20
pkgs/development/libraries/flatpak/fix-paths.patch
Normal file
20
pkgs/development/libraries/flatpak/fix-paths.patch
Normal file
@ -0,0 +1,20 @@
|
||||
--- a/session-helper/flatpak-session-helper.c
|
||||
+++ b/session-helper/flatpak-session-helper.c
|
||||
@@ -624,7 +624,7 @@
|
||||
g_auto(GStrv) stdout_lines = NULL;
|
||||
int i;
|
||||
char *p11_argv[] = {
|
||||
- "p11-kit", "server",
|
||||
+ "@p11@/bin/p11-kit", "server",
|
||||
/* We explicitly request --sh here, because we then fail on earlier versions that doesn't support
|
||||
* this flag. This is good, because those earlier versions did not properly daemonize and caused
|
||||
* the spawn_sync to hang forever, waiting for the pipe to close.
|
||||
@@ -770,7 +770,7 @@
|
||||
exit (1);
|
||||
}
|
||||
|
||||
- if (g_find_program_in_path ("p11-kit"))
|
||||
+ if (TRUE)
|
||||
start_p11_kit_server (flatpak_dir);
|
||||
else
|
||||
g_debug ("p11-kit not found");
|
@ -1,6 +1,6 @@
|
||||
--- a/tests/libtest.sh
|
||||
+++ b/tests/libtest.sh
|
||||
@@ -315,7 +315,7 @@
|
||||
@@ -296,7 +296,7 @@
|
||||
# running installed-tests: assume we know what we're doing
|
||||
:
|
||||
elif ! "$FLATPAK_BWRAP" --unshare-ipc --unshare-net --unshare-pid \
|
||||
@ -9,16 +9,7 @@
|
||||
sed -e 's/^/# /' < bwrap-result
|
||||
echo "1..0 # SKIP Cannot run bwrap"
|
||||
exit 0
|
||||
@@ -323,7 +323,7 @@
|
||||
}
|
||||
|
||||
skip_without_python2 () {
|
||||
- if ! test -f /usr/bin/python2 || ! /usr/bin/python2 -c "import sys; sys.exit(0 if sys.version_info >= (2, 7) else 1)" ; then
|
||||
+ if ! test -f @python2@/bin/python2 || ! @python2@/bin/python2 -c "import sys; sys.exit(0 if sys.version_info >= (2, 7) else 1)" ; then
|
||||
echo "1..0 # SKIP this test requires /usr/bin/python2 (2.7) support"
|
||||
exit 0
|
||||
fi
|
||||
@@ -335,12 +335,12 @@
|
||||
@@ -309,12 +309,12 @@
|
||||
export DBUS_SESSION_BUS_ADDRESS="$(cat dbus-session-bus-address)"
|
||||
DBUS_SESSION_BUS_PID="$(cat dbus-session-bus-pid)"
|
||||
|
||||
@ -43,7 +34,7 @@
|
||||
mkdir -p ${DIR}/usr/bin
|
||||
mkdir -p ${DIR}/usr/lib
|
||||
ln -s ../lib ${DIR}/usr/lib64
|
||||
@@ -35,73 +36,27 @@
|
||||
@@ -35,48 +36,27 @@
|
||||
else
|
||||
cp `which ldconfig` ${DIR}/usr/bin
|
||||
fi
|
||||
@ -73,31 +64,6 @@
|
||||
for i in $@; do
|
||||
- I=`which $i`
|
||||
- add_bin $I
|
||||
- if test $i == python2; then
|
||||
- mkdir -p ${DIR}/usr/lib/python2.7/lib-dynload
|
||||
- # This is a hardcoded minimal set of modules we need in the current tests.
|
||||
- # Pretty hacky stuff. Add modules as needed.
|
||||
- PYDIR=/usr/lib/python2.7
|
||||
- if test -d /usr/lib64/python2.7; then PYDIR=/usr/lib64/python2.7; fi
|
||||
- for py in site os stat posixpath genericpath warnings \
|
||||
- linecache types UserDict abc _abcoll \
|
||||
- _weakrefset copy_reg traceback sysconfig \
|
||||
- re sre_compile sre_parse sre_constants \
|
||||
- _sysconfigdata ; do
|
||||
- cp ${PYDIR}/$py.py ${DIR}/usr/lib/python2.7
|
||||
- done
|
||||
- # These might not exist, depending how Python was configured; and the
|
||||
- # part after ${so} might be "module" or ".x86_64-linux-gnu" or
|
||||
- # something else
|
||||
- for so in _locale strop ; do
|
||||
- cp ${PYDIR}/lib-dynload/${so}*.so ${DIR}/usr/lib/python2.7/lib-dynload || :
|
||||
- done
|
||||
- for plat in $( cd ${PYDIR} && echo plat-* ); do
|
||||
- test -e ${PYDIR}/${plat} || continue
|
||||
- mkdir -p ${DIR}/usr/lib/python2.7/${plat}
|
||||
- cp ${PYDIR}/${plat}/*.py ${DIR}/usr/lib/python2.7/${plat}/
|
||||
- done
|
||||
- fi
|
||||
-done
|
||||
-for i in `cat $BINS`; do
|
||||
- echo Adding binary $i 1>&2
|
||||
|
@ -1,6 +1,6 @@
|
||||
--- a/common/flatpak-dir.c
|
||||
+++ b/common/flatpak-dir.c
|
||||
@@ -5467,7 +5467,7 @@ export_desktop_file (const char *app,
|
||||
@@ -5758,7 +5758,7 @@ export_desktop_file (const char *app,
|
||||
|
||||
new_exec = g_string_new ("");
|
||||
g_string_append_printf (new_exec,
|
||||
@ -9,7 +9,7 @@
|
||||
escaped_branch,
|
||||
escaped_arch);
|
||||
|
||||
@@ -6644,8 +6644,8 @@ flatpak_dir_deploy (FlatpakDir *self,
|
||||
@@ -6935,8 +6935,8 @@ flatpak_dir_deploy (FlatpakDir *self,
|
||||
error))
|
||||
return FALSE;
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user